Skip to content
Start here

Create a custom asset

client.CustomPages.Assets.New(ctx, params) (*AssetNewResponse, error)
POST/{accounts_or_zones}/{account_or_zone_id}/custom_pages/assets

Creates a new custom asset.

Security

API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
params AssetNewParams
Description param.Field[string]

Body param: A short description of the custom asset.

Name param.Field[string]

Body param: The unique name of the custom asset. Can only contain letters (A-Z, a-z), numbers (0-9), and underscores (_).

minLength1
URL param.Field[string]

Body param: The URL where the asset content is fetched from.

formaturi
AccountID param.Field[string]optional

Path param: The Account ID to use for this endpoint. Mutually exclusive with the Zone ID.

ZoneID param.Field[string]optional

Path param: The Zone ID to use for this endpoint. Mutually exclusive with the Account ID.

ReturnsExpand Collapse
type AssetNewResponse struct{…}
Description stringoptional

A short description of the custom asset.

LastUpdated Timeoptional
formatdate-time
Name stringoptional

The unique name of the custom asset. Can only contain letters (A-Z, a-z), numbers (0-9), and underscores (_).

minLength1
SizeBytes int64optional

The size of the asset content in bytes.

URL stringoptional

The URL where the asset content is fetched from.

formaturi

Create a custom asset

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/custom_pages"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIKey("144c9defac04969c7bfad8efaa8ea194"),
    option.WithAPIEmail("user@example.com"),
  )
  asset, err := client.CustomPages.Assets.New(context.TODO(), custom_pages.AssetNewParams{
    Description: cloudflare.F("Custom 500 error page"),
    Name: cloudflare.F("my_custom_error_page"),
    URL: cloudflare.F("https://example.com/error.html"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", asset.Description)
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "description": "Custom 500 error page",
    "last_updated": "2014-01-01T05:20:00.12345Z",
    "name": "my_custom_error_page",
    "size_bytes": 1024,
    "url": "https://example.com/error.html"
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "description": "Custom 500 error page",
    "last_updated": "2014-01-01T05:20:00.12345Z",
    "name": "my_custom_error_page",
    "size_bytes": 1024,
    "url": "https://example.com/error.html"
  }
}